Zadanie # 1632 (Zamknięty): Integracja z cermine
Zadanie # 1633 (Zamknięty): Ekstrakcja metadanych z pełnych tekstów

UI do generowania dokumentów na podstawie pełnych tekstów
2017-04-18 09:29 - Michał Komar

Status: Zamknięty Start date: 2017-04-18
Priority: Normalny Due date:
Assignee: Michał Komar % Done: 100%
Category: ui Estimated time: 0.00 hour
Target version: 0.3
Developer: Łukasz Waśkiewicz Tester: Michał Komar
Description

W ramahc dodawania nowego dokumentu, użytkownik powinien mieć możliwość wyboru pomiędzy ekstrakcją metadanych z pełnego
tekstu a wprowadzaniem wszystkich danych ręcznie. W przypadku ekstrakcji, operacja powinna odbywać się asynchronicznie, a
użytkownik powinien dostać odpowiednią notyfikację w momencie przetworzenia tekstu.

Associated revisions
Revision 83a6b5c2 - 2017-05-09 12:46 - Łukasz Waśkiewicz

refs #1636 UI cermine

Revision e9cc035f - 2017-05-17 06:22 - Łukasz Waśkiewicz

refs #1636 #1634 poprawki w UI i serwisie

Revision bb48231b - 2017-05-24 11:55 - Łukasz Waśkiewicz

refs #1636 poprawa obsługi location

Revision 6ed80f56 - 2017-05-24 13:28 - Łukasz Waśkiewicz

refs #1636 poprawa obsługi location

Revision 08d8bc71 - 2017-05-24 13:46 - Łukasz Waśkiewicz

refs #1636 poprawa użycia modelu z synatu

Revision 93be6455 - 2017-06-06 12:19 - Łukasz Waśkiewicz

refs #1636 zmiana komponentu

Revision 5e146cee - 2017-06-06 13:04 - Łukasz Waśkiewicz

refs #1636 zmiana komponentu, porpawka
Revision 6ac6089e - 2017-06-08 07:41 - Łukasz Waśkiewicz

refs #1636 poprawa async dla cermine

Revision 51183c3f - 2017-06-09 09:37 - Łukasz Waśkiewicz

refs #1636 korekty UI

Revision fdb6f262 - 2017-06-09 09:37 - Łukasz Waśkiewicz

refs #1636 przekierowanie na wait, drobne poprawki UI

Revision 2fbec884 - 2017-06-14 13:51 - Michał Komar

refs #1636: Dodanie anulowania uploadu

Revision aaad3b3d - 2017-06-27 12:17 - Łukasz Waśkiewicz

refs #1636 poprawki upload

Revision b311cfc3 - 2017-06-27 12:29 - Łukasz Waśkiewicz

refs #1636  poprawa autoUpload

Revision 18d6b6b6 - 2017-06-27 13:06 - Łukasz Waśkiewicz

refs #1636 poprawa autoUpload

Revision a91f165d - 2017-06-30 13:12 - Łukasz Waśkiewicz

refs #1636 poprawki upload-component

Revision f4843eee - 2017-06-30 13:13 - Łukasz Waśkiewicz

refs #1636 podbicie wersji ngx-uploader

Revision ec4448e9 - 2017-07-19 11:26 - Łukasz Waśkiewicz

refs #1636 podbicie biblioteki ngx-uploader

History
#1 - 2017-04-18 13:10 - Michał Komar
- Assignee set to Michał Komar

#2 - 2017-04-24 08:44 - Michał Komar
- Status changed from Nowy to W toku

#3 - 2017-04-24 11:58 - Michał Komar
- Status changed from W toku to Nowy

#4 - 2017-04-24 11:58 - Michał Komar
- Assignee changed from Michał Komar to Łukasz Waśkiewicz

#5 - 2017-05-17 06:22 - Łukasz Waśkiewicz
- Status changed from Nowy to Testowanie
- Assignee changed from Łukasz Waśkiewicz to Michał Komar
- % Done changed from 0 to 100
- Developer Łukasz Waśkiewicz added
- Tester Michał Komar added

#6 - 2017-05-22 07:10 - Michał Komar
- Status changed from Testowanie to Odpowiedź
- Assignee changed from Michał Komar to Łukasz Waśkiewicz

    1. Należy zmodyfikować komponent  do uploadu. 
        -  komponent powinien wspierać wyświetlanie progressbara (opcjonalnie)
        -  powinna istnieć możliwość anulowania ładowania pliku
        -  powinna być wyświetlana nazwa pliku (w trakcie ładowania i po załadowaniu)
    2. Należy obsłużyć akcję przeprocesowania dokumentu. W tym momencie nic się nie dzieje. Wydaje mi się, że najlepiej będzie przekierować na
stronę "wait".

#7 - 2017-06-09 09:37 - Łukasz Waśkiewicz
- Status changed from Odpowiedź to Testowanie
- Assignee changed from Łukasz Waśkiewicz to Michał Komar

poprawione

#8 - 2017-06-14 14:04 - Michał Komar
- Status changed from Testowanie to Odpowiedź
- Assignee changed from Michał Komar to Łukasz Waśkiewicz

1a) Chyba ok
1c) Ok 
2 - Ok

2b) Poprawiłem anulowanie uploadu. Trzeba odpowiednio oprogramować autoupload (na innym zdarzeniu) oraz brak autoupload + multi (iterowanie
po plikach).

#9 - 2017-06-27 12:19 - Łukasz Waśkiewicz

2024-05-19 3/5



- Status changed from Odpowiedź to Testowanie
- Assignee changed from Łukasz Waśkiewicz to Michał Komar

#10 - 2017-06-28 12:42 - Michał Komar
- Status changed from Testowanie to Odpowiedź
- Assignee changed from Michał Komar to Łukasz Waśkiewicz

Błędy:

    1. Przy autoupload=false, nie można usunąć pliku, który nie został zuploadowany
    2. Warto daodać disabled na upload, gdy wszystkie pliki zostały zuploadowane / nie ma żadnego pliku do uploadu
    3. Przy multi=true i autoupload=false -> kliknięcie upload nie ładuje wszystkich dokumentów - wybrałem trzy pliki i przy pierwszym kliknięciu ładował
się ostatni, a przy drugim pozostałe 2
    4. Przy multi=tru i autoupload=true, autoupload nie działa

#11 - 2017-06-30 13:43 - Łukasz Waśkiewicz
- Status changed from Odpowiedź to Testowanie
- Assignee changed from Łukasz Waśkiewicz to Michał Komar

1. poprawione
2. zrobione
3. miałem tylko problem po po wgraniu, usunięciu, nie dało się wgrywał nowego pliku (wołał upload bez danych) (podbita biblioteka i działa)
4. nie miałem takiego problemu
5. po skasowaniu pliku formularz był zwalidowany jako poprawny (poprawiłem)

poprawiłem aby przy multi=true dało się wybrać wiele plików w oknie przeglądania

#12 - 2017-07-04 15:18 - Michał Komar
- File Zrzut ekranu z 2017-07-04 17-14-12.png added
- Status changed from Testowanie to Odpowiedź
- Assignee changed from Michał Komar to Łukasz Waśkiewicz

    1. Ok
    2. Ok
    3. Cały czas problem występuje - patrz załącznik
    4. Ok
    5. Ok

#13 - 2017-07-17 15:24 - Łukasz Waśkiewicz
- Assignee changed from Łukasz Waśkiewicz to Michał Komar

problem występuje tylko wtedy gdy
dodamy 1 plik, dodamy 2 pliki, klikamy upload (jeśli dodamy 3 naraz, albo wszystkie pojedynczo to jest OK)

#14 - 2017-07-19 12:30 - Łukasz Waśkiewicz
- Status changed from Odpowiedź to Testowanie

w wersji 3.3.0 biblioteki poprawili, podbiłem, sprawdziłem, działa

#15 - 2017-07-21 08:29 - Michał Komar
- Status changed from Testowanie to Rozwiązany

Wszystko działa

#16 - 2017-08-03 13:34 - Michał Komar
- Status changed from Rozwiązany to Zamknięty

Zamykam całe poddrzewo zadań.

Files
Zrzut ekranu z 2017-07-04 17-14-12.png 127 KB 2017-07-04 Michał Komar
